from . import __versionstr__

# app conf
HEADERS = {
    'content-type': 'application/json',
    'user-agent': 'py-csob/%s' % __versionstr__,
}
EMPTY_VALUES = ('', None, [], (), {})
RESPONSE_KEYS = 'payId', 'customerId', 'dttm', 'resultCode', 'resultMessage', 'paymentStatus', 'authCode'

# available languages and currencies
LANGUAGES = 'CZ', 'EN', 'DE', 'SK', 'HU', 'IT', 'JP', 'PL', 'PT', 'RO', 'RU', 'SK', 'ES', 'TR', 'VN'
CURRENCIES = 'CZK', 'EUR', 'USD', 'GBP'

# CSOB gw statuses
PAYMENT_STATUS_INIT = 1
PAYMENT_STATUS_PROCESS = 2
PAYMENT_STATUS_CANCELLED = 3
PAYMENT_STATUS_CONFIRMED = 4
PAYMENT_STATUS_REVERSED = 5
PAYMENT_STATUS_REJECTED = 6
PAYMENT_STATUS_WAITING = 7
PAYMENT_STATUS_RECOGNIZED = 8
PAYMENT_STATUS_RETURN_WAITING = 9
PAYMENT_STATUS_RETURNED = 10

RETURN_CODE_OK = 0
RETURN_CODE_PARAM_MISSING = 100
RETURN_CODE_PARAM_INVALID = 110
RETURN_CODE_MERCHANT_BLOCKED = 120
RETURN_CODE_SESSION_EXPIRED = 130
RETURN_CODE_PAYMENT_NOT_FOUND = 140
RETURN_CODE_PAYMENT_NOT_IN_VALID_STATE = 150
RETURN_CODE_OPERATION_NOT_ALLOWED = 180
RETURN_CODE_CUSTOMER_NOT_FOUND = 800
RETURN_CODE_NO_SAVED_CARDS = 810
RETURN_CODE_FOUND_SAVED_CARDS = 820
RETURN_CODE_INTERNAL_ERROR = 900

HTTP_STATUSES = {
    200: 'OK',
    400: 'Bad Request',
    403: 'Forbidden',
    404: 'Not Found',
    405: 'Method Not Allowed',
    429: 'Too Many Requests',
    503: 'Service Unavailable'
}
